Tasks
These API endpoints are related to tasks on Omniplex
GET
Gets a task. Returns the task data if this is successful
Userheader
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
id*stringUser ID
tid*stringThe task ID
task_key?stringThe task key if required. This is used to authenticate the request.
Success
application/json- response
allow_unauthenticated?booleanWhether the task can be accessed without authentication
created_at?stringThe time the task was created.
Format
date-timeexpiry?unknownThe task expiry.
for_user?stringThe user this task is for.
output?The task output.
state?stringThe tasks current state (pending/completed etc).
statuses?array<>The task statuses.
task_id?stringThe task ID.
task_name?stringThe task name.
curl -X GET 'https://spider.omniplex.gg/users/string/tasks/string'Example Response
{ "allow_unauthenticated": true, "created_at": "2019-08-24T14:15:22Z", "expiry": null, "for_user": "string", "output": { "property1": null, "property2": null }, "state": "string", "statuses": [ { "property1": null, "property2": null } ], "task_id": "string", "task_name": "string"}